#!/usr/bin/env python3
"""
Test final con el ejemplo exacto del usuario
"""

import main_evaluation_puro

def test_ejemplo_usuario():
    print("=== EJEMPLO ORIGINAL DEL USUARIO ===")
    
    engine = main_evaluation_puro.PureAlgebraicEngine()
    
    casos = [
        "y = x + 3",
        "z = y + x", 
        "solve(x)",
        "solve(z)"
    ]
    
    for caso in casos:
        result = engine.evaluate_line(caso)
        print(f"{caso} → {result.output}")

if __name__ == "__main__":
    test_ejemplo_usuario() 